<?php
include_once(_DIR_TO_CLASS.'/c_page.php') ;
class c_page_cab_pdo extends c_page
{
   function block_main()
   { echo 'Поддерживаемые драйвера: '.implode(', ',PDO::getAvailableDrivers()).'<br>' ;
     $recs=$this->execSQL_PDO('select * from obj_site_account') ;
     print_2x_arr($recs) ;
   }
/*
1.       code.V_ESMO_MED - данные по работникам (Таблица№1 по ТЗ)
2.       code.V_ESMO_TABNUM_UPDATE - работники у которых произошли изменения данных(Таблица№2 по ТЗ)
3.       code.V_ESMO_CARD - данные по магнитным картам (Таблица№3 по ТЗ)
4.       code.V_ESMO_TERMINAL- данные по местам установки терминалов ЭСМО (Таблица№4 по ТЗ)
5.       code.V_ESMO_MED - данные по результатам медицинских осмотров (Таблица№5 по ТЗ)

и даны на них соответствующие привилегии пользователю INOUT_ESMO (пароль  - iuyHJK876)

Строка подключения для Oracle клиента:
A9AUTO =
  (DESCRIPTION =
    (ADDRESS_LIST =
      (ADDRESS = (PROTOCOL = TCP)(HOST = sng-auto-01)(PORT = 1521))
    )
    (CONNECT_DATA =
      (SERVER = DEDICATED)
      (SERVICE_NAME = A9AUTO)
    )
  )
*/

     function execSQL_PDO($sql,$options=array(),$no_indx=0,$use_fname_indx='') // запрос к БД
     { global $debug_db,$__debug_sql_cnt,$__debug_sql_time ;
       $arr=array() ; $debug=0 ;


       $host = '127.0.0.1';
       $db   = 'esmo_magnit';
       $user = 'esmo';
       $pass = 'esmo';
       $charset = 'utf8';

       $dsn = "mysql:host=$host;dbname=$db;charset=$charset";
       $opt = [
           PDO::ATTR_ERRMODE            => PDO::ERRMODE_EXCEPTION,
           PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC,
           PDO::ATTR_EMULATE_PREPARES   => false,
       ];
       $pdo = new PDO($dsn, $user, $pass, $opt);


   	   $querytime_before=fixed_time() ;
       if ($debug or $debug_db) print_SQL_debug_begin($sql) ;
       $result = $pdo->query($sql);
       while ($row = $result->fetch()) $arr[]=$row ;
   	   if ($debug==2 or $debug_db==2 or $debug_db==3) print_2x_arr($arr,$sql) ;
   	   if ($debug==3) damp_array($arr,$sql) ;
       if ($debug or $debug_db) {fixed_time($querytime_before,', суммарное время получения и обработки - ','') ;}

       $sql_exec_time=fixed_time($querytime_before);
       $__debug_sql_time+=$sql_exec_time ;

   	   $__debug_sql_cnt++ ;
   	   if ($debug or $debug_db) print_SQL_debug_end() ;
   	   return($arr) ;
     }

    
}

class mo {
    public $pkey;

    function __construct($other = '')
    {
        //$this->addr = preg_replace('/[a-z]/', 'x', $this->addr);
        //$this->other_data = $other;
        //print_r($this) ; echo '<br>' ;
        return(false) ;
    }
}
?>